Bug 222762 - FEAT: Missing --unified-reject-files
FEAT: Missing --unified-reject-files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: patch (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Tim Waugh
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-15 20:08 EST by Jan Kratochvil
Modified: 2011-09-09 17:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-16 08:50:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2007-01-15 20:08:34 EST
Description of problem:
Generated .rej files are in the inconvenient context diff.
Unified diff is preferred.

Version-Release number of selected component (if applicable):
patch-2.5.4-29.2.2

Additional info:
At least SUSE and Debian provide the patches, I found some at:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=26675
This link definitely should not be considered as the best patch available.
Comment 1 Tim Waugh 2007-01-16 08:50:29 EST
For rejects I myself prefer context format.  I don't want to start adding extra
options when different distributions each have their own.  Let's wait until it's
upstream.
Comment 2 Jan Kratochvil 2011-09-09 17:55:49 EDT
It got fixed in recent `patch' by upstream --reject-format, wow.

Note You need to log in before you can comment on or make changes to this bug.